incrontab(1)

NAME
incrontab - table manipulator for inotify cron (incron)

SYNOPSIS
incrontab [-u user] [-f config] file

incrontab [-u user] [-f config] [-l | -r | -e | -t | -d]

DESCRIPTION
incrontab is a table manipulator for the inotify cron (incron) system. It creates, removes, modifies and lists user tables (incrontab(5)).

Each user (including even system users without home directories) has an incron table which can't be manipulated directly (only root can effectively change these tables and is NOT recommended to do so).

All informational messages of this program are printed to the standard error output (stderr).

If /etc/incron.allow exists only users listed here may use incron. Otherwise if /etc/incron.deny exists only users NOT listed here may use incron. If none of these files exists everyone is allowed to use incron. (Important note: This behavior is insecure and will be probably changed to be compatible with the style used by ISC Cron.) Location of these files can be changed in the configuration.

The first form of this command imports a file, validates it and stores to the table. "-" can be used for loading from the standard input.

-u (or --user) option overrides the current (real) user to the given one. This option is intended for manipulation with system users' tables (such as apache, postfix, daemon etc.). It can be used only if the current user has root's effective rights.

-l (or --list) option causes the current table is printed to the standard output.

-r (or --remove) option causes the current table (if any) is permanently remove without any warning or confirmation. Use with caution!

-e (or --edit) option causes executing an editor for editing the user table (see below for the information about editor selection). You can edit your incron table now. If the table is changed it stores the modified version.

-t (or --types) option causes the list of supported event types (delimited by commas) is printed to the standard output. This feature is intended for front-end applications to find out which event types was compiled in.

-d (or --reload) option causes reloading the current table by incrond(8). It is done through "touching" the table (writing into it without modifying it). This feature is intended e.g. for creating watches on newly created files (with already existing rules) or for rearming IN_ONESHOT watches.

-f <FILE> (or --config=<FILE>) option specifies another location for the configuration file (/etc/incron.conf is used by default). This feature requires root privileges.

There is a few complex algorithm how to determine which editor will be user for editing. If any of the following rule succeeds the appropriate editor is used:

1. EDITOR environment variable

2. VISUAL environment variable

3. configuration value

4. etc/alternatives/editor

5. hard-wired editor (vim by default)

It's not recommended to use graphical editors (such as gVim, KEdit etc.) due to possible problems with connecting to the X server.

SEE ALSO
incrond(8), incrontab(5), incron.conf(5)

AUTHOR
Andreas Altair Redmer <altair.ibn.la.ahad.sy@gmail.com> (please report bugs to https://github.com/ar-/incron/issues ). Lukas Jelinek <lukas@aiken.cz> .

COPYING
This program is free software. It can be used, redistributed and/or modified under the terms of the GNU General Public License, version 2.